Bug 143264 - [ToD] inconsistency in %MOD1 usage
Summary: [ToD] inconsistency in %MOD1 usage
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.4.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2021-07-08 15:19 UTC by sophie
Modified: 2022-04-07 08:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2021-07-08 15:19:59 UTC
location of the string:
https://git.libreoffice.org/core/+/master/cui/inc/tipoftheday.hrc#87

Comment in Weblate:
Shouldn't this say "%MOD1++" (or rather, "%MOD1+Plus") and "%MOD1+-" (or "%MOD1+Minus") for consistency's sake?
Comment 1 sophie 2021-07-08 15:26:21 UTC
another one related to another string located at:
https://git.libreoffice.org/core/+/master/cui/inc/tipoftheday.hrc#90

comment on Weblate:
Translators: Note that many European keyboard layouts don't have a dedicated ; (semicolon) key. So, starting from LibreOffice 7.0, these shortcuts will instead be %MOD1+, (comma) and Shift+%MOD1+, (comma) for inserting date and time, respectively. For affected languages, see https://gerrit.libreoffice.org/c/core/+/94305

and
Just noticed that according to Accelerators.xcu, when using US English user interface, Shift+Command+semicolon won't insert current time on a Mac - instead it opens the spelling dialog. And there isn't any other shortcut defined for inserting current time on Mac, either.
Comment 2 Heiko Tietze 2021-07-09 05:08:22 UTC
Tend to reject the request of more variables. Fine for me if translators change the text completely but if we make everything optional ("Use MOD1% with %COMMA to make %SYSTEM behave %FOO") it becomes a l10n nightmare. See also the discussion in bug 130979 (and other).
Comment 3 Julien Nabet 2021-07-09 09:18:02 UTC
If a tip is language dependent and can't apply to most of languages, wouldn't it be just removed?
IMHO, it's not the role of translators to try to deal with these problems but perhaps I'm wrong.
Comment 4 Heiko Tietze 2021-07-12 12:23:59 UTC
Turning %MOD + +/- into + Plus/Minus sounds okay to me. 

The comment 2 was about the keyboard topic "The shortcut is different in my language" and "It depends on the OS/DE".
Comment 5 sdc.blanco 2022-04-04 15:24:35 UTC
https://gerrit.libreoffice.org/c/core/+/132385

1. Changed tip into a question.
2. Used %MOD1++ and %MOD1+-  to be consistent with appearance in Tool>Customize UI
3. iiuc no change is needed in cui/inc/tipofday.hrc for %MOD1+;
Comment 6 Commit Notification 2022-04-07 08:46:16 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9a773e8ca65ccb30cdfbf47b94aabe356df8cad2

tdf#143264  improve expressions with %MOD1 -/+

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.